Subject: bug#17418: #:select gives access to private variables

From: Andy Wingo <[email-masked]>
Date: Tue, 21 Jun 2016 17:17:20 +0200

On Tue 21 Jun 2016 16:52, [email-masked] (Ludovic Courtès) writes:

> Andy Wingo <[email-masked]> skribis:
>
>> On Wed 04 Jun 2014 01:11, Mark H Weaver <[email-masked]> writes:
>>
>>> Mark H Weaver <[email-masked]> writes:
>>>> Sounds good.  Specifically, I guess we should deprecate this way of
>>>> using #:select.
>>>>
>>>> If you do this, can you adjust system/repl/coop-server.scm to avoid it?
>>>> It imports the following private bindings:
>>>>
>>>>   start-repl* run-server* add-open-socket! close-socket!
>>>
>>> Also: prompting-meta-read
>>
>> Fixed in master.
>
> I would not close the bug if it remains in 2.0.x.  Thoughts?

I think we can't break 2.0 in this regard; it's technically
incompatible.  We could print a better deprecation warning but in this
case I think I did the right thing.  WDYT?

A